/*
 * Copyright (c) 2006-2018, RT-Thread Development Team
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Change Logs:
 * Date           Author            Notes
 * 2017-12-12     ZYH            the first version
 */

#ifndef __DRV_OTGFS_HOST_H__
#define __DRV_OTGFS_HOST_H__


#include <rtthread.h>

#include "drv_usb_host.h"
#include "drv_usbh_transc.h"
#include "drv_usbh_pipe.h"

#define OTG_FS_PORT 1

void usbh_connect_callback(usb_core_driver *hhcd);

void usbh_disconnect_callback(usb_core_driver *hhcd);

void usbh_hc_notifyurbchange_callback(usb_core_driver *hhcd, uint8_t chnum, usb_urb_state urb_state);

int gd_usbh_register(void);


#endif
